# This is Git's per-user configuration file.
[user]
	name = Colin Powell
	email = colin@onec.me
	signingkey = 7B405BE1
[push]
	default = current
[commit]
	gpgsign = true
[core]
	excludesfile = ~/.gitignore_global
[alias]
	undo = reset --soft HEAD^
	stash-all = stash save --include-untracked
	tree = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset'
	oline = log --oneline --decorate --no-merges
	st = status
	ci = commit
	br = branch
	co = checkout
	d = diff
	p = pull --autostash
	l = log --date-order --date=iso --graph --full-history --all --pretty=format:'%x08%x09%C(red)%h %C(cyan)%ad%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08%x08 %C(bold blue)%aN%C(reset)%C(bold yellow)%d %C(reset)%s'
	lg = log -p
	lg1 = log --graph --abbrev-commit --decorate --date=relative --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all
	lg2 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold cyan)%aD%C(reset) %C(bold green)(%ar)%C(reset)%C(bold yellow)%d%C(reset)%n''          %C(white)%s%C(reset) %C(dim white)- %an%C(reset)' --all
	hs  = for-each-ref --sort=-committerdate refs/heads/ --format='%(HEAD) %(color:yellow)%(refname:short)%(color:reset) - %(color:red)%(objectname:short)%(color:reset) - %(contents:subject) - %(authorname) (%(color:green)%(committerdate:relative)%(color:reset))'
[merge]
	conflictstyle = diff3
[pager]
  diff = diff-so-fancy | less --tabs=1,5 -RFX
  show = diff-so-fancy | less --tabs=1,5 -RFX
[gpg]
	program = /usr/local/bin/gpg
[status]
	showUntrackedFiles = all
[transfer]
	fsckobjects = true
[filter "lfs"]
	clean = git-lfs clean -- %f
	smudge = git-lfs smudge -- %f
	process = git-lfs filter-process
	required = true
[branch]
	autosetuprebase = always
[magithub]
	online = false
[magithub "status"]
	includeStatusHeader = false
	includePullRequestsSection = false
	includeIssuesSection = false
[github]
	user = powellc
[sendmail]
	smtpserver = box.onec.me
	smtpuser = colin@onec.me
	smtpencryption = tls
	smtpserverport = 587
